/* -------------------------------------------------------------------------- */
/*                             JAVASCRIPT VISION                              */
/*                          Image Management Methods                          */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* Author: Gary S. Krajci                                                     */
/* Email: gary.s.krajci@bigfoot.com                                           */
/* Company: Roaring Fork Software                                             */
/* Date: April 6, 2000                                                        */
/* URL: http://www.roaringforksoftware.com/JSV/                               */
/* Script Type: JavaScript                                                    */
/* -------------------------------------------------------------------------- */

var IMAGEDOESNOTEXIST = -1;

function JSV_imageCount() {
	return ( document.images ? document.images.length : 0 );
}

function JSV_imageExists(imageName) {
	var index = IMAGEDOESNOTEXIST;
	if (document.images) {
		var numberOfImages = JSV_imageCount();
		if (numberOfImages != 0) {
			var i = 0;
			for (i=0; i<numberOfImages; i++) {
				if (imageName.toLowerCase() == document.images[i].name.toLowerCase()) {
					index = i; break;
				}
			}
		}
	}
	return index;
}

function JSV_imageSwap(imageName, imageSource) {
	if (document.images) {
		if (JSV_imageExists(imageName) != IMAGEDOESNOTEXIST) {
			eval("document.images." + imageName + ".src = '" + imageSource + "'");
		}
	}
}

function JSV_preloadImages() {
	if (document.images) {
		var imageFiles = JSV_preloadImages.arguments;
		if (document.preloadArray == null) document.preloadArray = new Array();
		var j = 0;
		var i = document.preloadArray.length;
		for (j=0; j<imageFiles.length; j++) {
			document.preloadArray[j] = new Image();
			document.preloadArray[j].src = imageFiles[i++];
		}
	}
}
